tanslating by martin.

Fedora GNOME Keyboard Shortcuts
================================================================================
To get the very best out of the [GNOME desktop environment][1], within Fedora, you need to learn and remember the keyboard shortcuts required to navigate the system.

This article lists the most useful keyboard shortcuts and how they are used.

![GNOME Keyboard Shortcuts - The Super Key. ](http://f.tqn.com/y/linux/1/L/o/K/1/gnomekeyboardshortcut1.png)
GNOME Keyboard Shortcuts - The Super Key. 

#### 1.  The Super Key ####

[The "super" key][2] is your best friend when navigating modern operating systems.

On a standard laptop the "super" key sits on the bottom row next to the "alt" key.

When you press the "super" key the "activities" overview will be displayed and you will be able to see all of the open applications zoomed out.

Pressing "ALT" and "F1" together will show the same display.

![GNOME Run Command.](http://f.tqn.com/y/linux/1/L/p/K/1/runcommand.png)
GNOME Run Command.

### 2.  How To Run A Command Quickly ###

If you need to run a command quickly, you can press "ALT" and "F2" which displays a "Run Command" dialog.

You can now enter your command into that window and press return.

![TAB Through Applications.](http://f.tqn.com/y/linux/1/L/q/K/1/tabthroughwindows.png)
TAB Through Applications.

### 3.  Quickly Switch To Other Open Applications ###

As with Microsoft Windows you can switch applications using the "ALT" and "TAB" keys.

On some keyboards the tab key looks like this: **|<- ->|** and on others it simply spells the word "TAB".

The GNOME application switcher simply shows the icons and names of the applications as you tab through them.

If you hold down the "shift" and "tab" keys, the application switcher rotates around the icons in reverse order.

![Switch Windows In The Same Application.](http://f.tqn.com/y/linux/1/L/r/K/1/switchwindowsinsameapplication.png)
Switch Windows In The Same Application. 

### 4.  Quickly Switch To Another Window In The Same Application ###

If you are anything like me then you will end up with half a dozen instances of Firefox open.

You now know that "Alt" and "Tab" switch between applications.

There are two ways to cycle through all of the open instances of the same application.

The first is to press "Alt" and "Tab" until the cursor sits over the icon of the application with many windows that you wish to cycle through. After a pause a dropdown will appear and you can select the Window with the mouse.

The second and preferred option is to press "Alt" and "Tab" until the cursor sits over the icon of the application you want to cycle through and then press the "super" and "`" keys to toggle through the open instances.

**Note that the "`" key is the one just above the tab key. The key for cycling through the open instances is always the key above the tab key regardless of your keyboard layout, therefore it isn't always guaranteed to be the "`" key.**

If you have nimble fingers (or as I like to call them ninja fingers) then you can hold the "shift", "`" and "super" key to cycle backwards through the open instances of an application.

![Switch Keyboard Focus.](http://f.tqn.com/y/linux/1/L/s/K/1/switchkeyboardfocus.png)
Switch Keyboard Focus.

### 5.  Switch Keyboard Focus ###

This keyboard shortcut isn't essential but a nice to know.

If you want to switch the keyboard focus to the search bar or to an application window you can press "CTRL", "ALT" and "TAB". to show a list of possible areas to switch to.

You can then use the arrow keys to cycle through the possible options.

![Show All Applications.](http://f.tqn.com/y/linux/1/L/t/K/1/showapplications.png)
Show All Applications.

### 6.  Show A List Of All The Applications ###

If the last one was a nice to have then this one is a real time saver.

To quickly navigate to a full list of all the applications on your system press the "super" key and "A".

![Switch Workspaces.](http://f.tqn.com/y/linux/1/L/u/K/1/switchworkspaces.png)
Switch Workspaces.

### 7.  Switch Workspaces ###

If you have been using Linux for a while you will appreciate the fact that you [can use multiple workspaces][3].

For instance in one workspace you might have development environments open, in another web browsers and in a third your email client.

To toggle between workspaces press the "super" and the "Page Up" (PGUP) keys to toggle in one direction and the "super", "Page Down" (PGDN) keys to toggle in the other direction.

The alternative but more longwinded away to switch to another workspace is to press the "super" key to show a list of applications and then select the workspace you wish to switch to on the right side of the screen.

![Move Application To Another Workspace.](http://f.tqn.com/y/linux/1/L/v/K/1/movetoanewworkspace.png)
Move Application To Another Workspace.

### 8.  Move Items To A New Workspace ###

If the workspace you are using is getting cluttered and you wish to move the current application to a new workspace press the "super", "shift" and "page up" button or "super", "shift" and "page down" key.

Alternatively press the "super" key to bring up the list of applications and drag the application you wish to move to one of the workspaces on the right of the screen.

![Show The Message Tray.](http://f.tqn.com/y/linux/1/L/w/K/1/showmessagetray.png)
Show The Message Tray.

### 9.  Show The Message Tray ###

The message tray provides a list of notifications.

To bring up the message tray press the "super" and "M" key on the keyboard.

Alternatively move the mouse to the bottom right corner of the screen.

![Lock The Screen.](http://f.tqn.com/y/linux/1/L/x/K/1/lockscreen.png)
Lock The Screen.

### 10.  Lock The Screen ###

Need to a comfort break or a cup of coffee? Don't want sticky paws all over your keyboard?

Whenever you leave your computer alone get in the habit of pressing "super" and L to lock the screen.

To unlock the screen drag up from the bottom and enter your password.

![Control Alt Delete Within Fedora.](http://f.tqn.com/y/linux/1/L/y/K/1/poweroff.png)
Control Alt Delete Within Fedora.

### 11.  Power Off ###

If you used to be a Windows user then you will remember the three finger salute known as CTRL, ALT and DELETE.

If you press "CTRL", "ALT" and "DEL" on your keyboard within Fedora a message will appear telling you that your computer will shut down in 60 seconds.

### 12.  Editing Shortcuts ###

The editing keyboard shortcuts are pretty much universal across every operating system.

- CTRL + A - Select All
- CTRL + X - Cut
- CTRL + C - Copy
- CTRL + V - Paste
- CTRL + Z - Undo

### 13.  Screen Capturing ###

As with the editing shortcuts, the screencapturing keys are fairly standard

- PRTSC (Print Screen) - Take screenshot
- Alt + PRTSC - Take screenshot of current window
- Shift + PRTSC - Take screenshot of an area of the screen

Here is one that is fairly unique but great for people making tutorial videos.

- CTRL + ALT + SHIFT + R - Record Screencast
- CTRL + ALT + SHIFT + R again - Stop Screencast

The [screencasts][4] will be stored in the videos folder under your home directory in the [webm][5] format.

![Put Windows Side By Side.](http://f.tqn.com/y/linux/1/L/z/K/1/splitwindows.png)
Put Windows Side By Side.

### 14.  Put Windows Side By Side ###

You can put windows side by side so that one uses up the left side of the screen and the other uses the right side of the screen.

Press the "Super" and "Left Arrow" key on the keyboard to shift the current application to the left.

Press the "Super" and "Right Arrow" key on the keyboard to shift the current application to the right.

### 15.  Maximise, Minimise And Restore Windows ###

To maximise a window double click on the title bar.

To restore a window to its original size double click on the maximised window.

To minimise a window, right click and select "minimise" from the menu.

![GNOME Keyboard Shortcut Cheat Sheet. ](http://f.tqn.com/y/linux/1/L/-/L/1/gnomekeyboardshortcuts.png)
GNOME Keyboard Shortcut Cheat Sheet. 

### 16.  Summary ###

To help you learn these keyboard shortcuts I have created a cheat sheet which you can print out and stick to your wall.

When you have learned these shortcuts you will begin to appreciate how modern desktop environments work.

- [Click here to view the Fedora Linux GNOME Desktop Environment cheat sheet.][6]
- [Click here for the GNOME WIKI][7]
- [The other GNOME WIKI][8]
- [An alternative GNOME 3 Cheat Sheet][9]

--------------------------------------------------------------------------------

via: http://linux.about.com/od/howtos/tp/Fedora-GNOME-Keyboard-Shortcuts.htm

作者：[Gary Newell][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://linux.about.com/bio/Gary-Newell-132058.htm
[1]:https://www.gnome.org/gnome-3/
[2]:http://en.wikipedia.org/wiki/Super_key_%28keyboard_button%29
[3]:http://linux.about.com/library/gnome/blgnome2n4.htm
[4]:http://en.wikipedia.org/wiki/Screencast
[5]:http://en.wikipedia.org/wiki/WebM
[6]:https://s-media-cache-ak0.pinimg.com/originals/d5/f4/a4/d5f4a42c0940fae6653ee9a17294d450.jpg
[7]:http://en.wikipedia.org/wiki/GNOME
[8]:https://wiki.gnome.org/
[9]:https://wiki.gnome.org/Gnome3CheatSheet
